<mat-toolbar>
  <img class="logo" src="../assets/logo_transp.png">
</mat-toolbar>
<div class="container">
  <div class="grid">
    <div *ngFor="let row of [0, 1, 2, 3, 4]">
      <span *ngFor="let col of [0, 1, 2, 3, 4]">
        <app-cell [col]='col' [row]='row'></app-cell>
      </span>
    </div>
  </div>
  <form class="terminal" (ngSubmit)="onSubmit()">
    <div>
      <mat-form-field class="textarea" appearance="outline">
        <mat-label>Terminal</mat-label>
        <textarea matInput cdkTextareaAutosize placeholder="{{script}}" [(ngModel)]="script" name="script"
                  cdkAutosizeMinRows="19" cdkAutosizeMaxRows="19"></textarea>
      </mat-form-field>
    </div>
    <div class="actions">
      <button mat-raised-button type="submit" tabindex="2">Submit</button>
    </div>
  </form>
</div>
